Get a round
The round and its stops in order, each with its place, its flag and who was there. Needs read on Animals.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
rounds
/
{id}
Get a round
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/rounds/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/rounds/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/rounds/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"round": {
"id": "<string>",
"day": "2023-12-25",
"name": "<string>",
"total": 123,
"visited": 123,
"skipped": 123,
"left": 123,
"stops": [
{
"id": "<string>",
"position": 123,
"location_unit_id": "<string>",
"state": "to_visit",
"seen": true,
"fed": true,
"cleaned": true,
"meds_given": true,
"scanned": true,
"note": "<string>",
"photo_file_id": "<string>",
"visited_by_person_id": "<string>",
"visited_at": "2023-11-07T05:31:56Z",
"unit": {
"id": "<string>",
"name": "<string>",
"path": [
"<string>"
],
"care_flag": "quarantine",
"care_flag_note": "<string>"
},
"animals": [
{
"id": "<string>",
"name": "<string>",
"species": "<string>",
"photo_file_id": "<string>"
}
]
}
],
"root": {
"id": "<string>",
"name": "<string>"
},
"started_by_person_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"signed_off_by_person_id": "<string>",
"signed_off_at": "2023-11-07T05:31:56Z",
"sign_off_note": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
Get a round
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/rounds/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/rounds/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/rounds/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"round": {
"id": "<string>",
"day": "2023-12-25",
"name": "<string>",
"total": 123,
"visited": 123,
"skipped": 123,
"left": 123,
"stops": [
{
"id": "<string>",
"position": 123,
"location_unit_id": "<string>",
"state": "to_visit",
"seen": true,
"fed": true,
"cleaned": true,
"meds_given": true,
"scanned": true,
"note": "<string>",
"photo_file_id": "<string>",
"visited_by_person_id": "<string>",
"visited_at": "2023-11-07T05:31:56Z",
"unit": {
"id": "<string>",
"name": "<string>",
"path": [
"<string>"
],
"care_flag": "quarantine",
"care_flag_note": "<string>"
},
"animals": [
{
"id": "<string>",
"name": "<string>",
"species": "<string>",
"photo_file_id": "<string>"
}
]
}
],
"root": {
"id": "<string>",
"name": "<string>"
},
"started_by_person_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"signed_off_by_person_id": "<string>",
"signed_off_at": "2023-11-07T05:31:56Z",
"sign_off_note": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
